## org.eclipse.m2m.atl.core.ui.vm.asm
Class ASMExtractor

    java.lang.Object
      org.eclipse.m2m.atl.core.ui.vm.asm.ASMExtractor

All Implemented Interfaces:
  IExtractor

    public class ASMExtractor

extends java.lang.Object
implements IExtractor

The RegularVM adaptation of the `IExtractor`.

Constructor Summary
`ASMExtractor()`

Method Summary
`void` `extract(IModel sourceModel, java.io.OutputStream target, java.util.Map<java.lang.String,java.lang.Object> options)` Extracts an IModel using the given options.
`void` `extract(IModel sourceModel, java.lang.String target)` Extracts an IModel using default options.
`void` `extract(IModel sourceModel, java.lang.String target, java.util.Map<java.lang.String,java.lang.Object> options)` Extracts an IModel using the given options.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASMExtractor

    public ASMExtractor()

Method Detail

### extract

    public void extract(IModel sourceModel,
                        java.lang.String target,
                        java.util.Map<java.lang.String,java.lang.Object> options)
                 throws ATLCoreException

  Extracts an IModel using the given options.

  Specified by:
    `extract` in interface `IExtractor`
  Parameters:
    `sourceModel` - the IModel to extract
    `target` - the target indication to extract the targetModel
    `options` - the extraction parameters
  Throws:
    `ATLCoreException`
  See Also:
    `IExtractor.extract(org.eclipse.m2m.atl.core.IModel, java.lang.String, java.util.Map)`

### extract

    public void extract(IModel sourceModel,
                        java.lang.String target)
                 throws ATLCoreException

  Extracts an IModel using default options.

  Specified by:
    `extract` in interface `IExtractor`
  Parameters:
    `sourceModel` - the IModel to extract
    `target` - the target indication to extract the targetModel
  Throws:
    `ATLCoreException`
  See Also:
    `IExtractor.extract(org.eclipse.m2m.atl.core.IModel, java.lang.String)`

### extract

    public void extract(IModel sourceModel,
                        java.io.OutputStream target,
                        java.util.Map<java.lang.String,java.lang.Object> options)
                 throws ATLCoreException

  Extracts an IModel using the given options.

  Specified by:
    `extract` in interface `IExtractor`
  Parameters:
    `sourceModel` - the IModel to extract
    `target` - the `OutputStream` where to extract the targetModel
    `options` - the extraction parameters
  Throws:
    `ATLCoreException`
  See Also:
    `IExtractor.extract(org.eclipse.m2m.atl.core.IModel, java.io.OutputStream, java.util.Map)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.